Subject: Re: [PATCH] Correct usages of sed in git-tag for Mac OS X

From: "Shawn O. Pearce" <[email-masked]>
Date: Sat, 30 Jun 2007 03:03:07 -0400

Junio C Hamano <[email-masked]> wrote:
> "Shawn O. Pearce" <[email-masked]> writes:
> 
> > These major Git functions are much more important than
> > saving two or three lines of a simple sed script.
> 
> The size of the script does not worry me.  The number of sed
> processes originally did, but the old code also had two
> invocations of sed, and I do not think you can implement the
> "strip the header, and then emit ${LINES} lines" behaviour
> without doing them in separate sed anyway, so I think this is
> fine.  But it makes me wonder why we are not using awk ;-)

Or perl.  ;-)

But the patch I just sent is sane.  And it all will hopefully go
away when Carlos has his C version complete and passing the very
large test suite he recently contributed.  So not really worth
worrying about now that its working properly.

But yea, I changed the script the way I did to keep the number of sed
processes per tag equal to what we had before.  Its not any better,
but its also not any worse and it at least runs on more systems.

-- 
Shawn.